=== debian/changelog ===
grantlee5 (5.3.1-6) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Use new Extra team name and email as the maintainer.
  * Build with hardening=+all build hardening flag.
  * Bump Standards-Version to 4.7.3, no change required.
  * Switch to debian/watch format version 5.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 15 Feb 2026 12:53:51 +0100

grantlee5 (5.3.1-5) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Add -Wl,-z,gcs-report-dynamic=none to the LDFLAGS on arm64.
    (Closes: #1110454)

 -- Pino Toscano <pino@debian.org>  Fri, 10 Oct 2025 20:07:55 +0200

grantlee5 (5.3.1-4) unstable; urgency=medium

  * Drop the support for the dead ia64 architecture:
    - drop ia64 from the list of architectures where the testsuite fails
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Apr 2025 09:38:50 +0200

grantlee5 (5.3.1-3) unstable; urgency=medium

  * Upload to unstable (see #1052252).
  * Remove hppa from the list of architectures where the testsuite fails.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Sep 2023 07:40:38 +0200

grantlee5 (5.3.1-2) experimental; urgency=medium

  * Build with -ffloat-store on i386 architectures to fix rounding issues with
    double/qreal.
  * Properly register MetaEnumVariable for comparison; should hopefully fix the
    enum tests on some architectures; patch register-comparator.diff
    - update symbols files accordingly
  * Run xvfb-run with -a, to avoid potential collisions.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Aug 2023 12:29:16 +0200

grantlee5 (5.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from 5.2.0-5:
    - switch the grantlee5-templates-5-2 provides of libgrantlee-templates5 to
      grantlee5-templates-5-3
    - remove the upstream signing key, as the tarballs are generated by github

 -- Pino Toscano <pino@debian.org>  Sat, 05 Aug 2023 12:40:31 +0200

grantlee5 (5.2.0-5) unstable; urgency=medium

  * grantlee.org is gone, so:
    - switch Homepage & Source to https://github.com/steveire/grantlee
    - switch watch to use the github tags
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Ship a new dh_grantlee tool in libgrantlee5-dev to help ensuring packages
    that install grantlee plugins depend on the right version of
    libgrantlee-templates5:
    - add the grantlee5-templates-5-2 provides to libgrantlee-templates5,
    - add the dh-sequence-grantlee provides to libgrantlee5-dev
    - create the manpages for it at build time using pod2man
    - use the ${perl:Depends} substvar in libgrantlee5-dev

 -- Pino Toscano <pino@debian.org>  Sat, 05 Aug 2023 11:25:48 +0200
